aicompose.getTones
Fetch the list of saved AI composer tones » of the current user.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Fetch the list of saved AI composer tones » of the current user.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/aicompose.getTones" \ -H "Content-Type: application/json" \ -d '{ "params": { "hash": "string" } }'{ "result": { "_": "aicompose.tonesNotModified" }}getToneExample
Fetch an example showing how an [AI composer tone »](https://core.telegram.org/api/ai#ai-compose-tones) rephrases a sample message, used as a preview in the tone picker.
saveTone
Install or uninstall an [AI composer tone »](https://core.telegram.org/api/ai#ai-compose-tones), adding it to or removing it from the list of saved tones of the current user. Non-[Premium](https://core.telegram.org/api/premium) users may install up to [aicompose_tone_saved_limit_default »](https://core.telegram.org/api/config#aicompose-tone-saved-limit-default) tones, [Premium](https://core.telegram.org/api/premium) users up to [aicompose_tone_saved_limit_premium »](https://core.telegram.org/api/config#aicompose-tone-saved-limit-premium) tones.